Subject: bug#72597: 30.0.60; Eglot: MarkedString with embedded Carriage Return

From: João Távora <[email-masked]>
Date: Tue, 13 Aug 2024 19:45:20 +0100

On Tue, Aug 13, 2024 at 7:32 PM Felician Nemeth
<[email-masked]> wrote:

> The way I understand it, Eglot calls gfm-view-mode to format this text.
> So even if the observed behavior is not in line with the LSP
> specification, it is the fault of gfm-view-mode and not directly
> Eglot's.
>
> gfm-view-mode is part of the markdown-mode package, which is NonGNU
> ELPA.

Very correct.  Worth noting, though, that markdown-mode is an _optional_
dependency of Eglot. It doesn't need it (but it will use it if it finds it).

João